<?
require ($_SERVER['DOCUMENT_ROOT'].'/core/sys.php');
if (isset($_SERVER['HTTP_X_REQUESTED_WITH']) && !empty($_SERVER['HTTP_X_REQUESTED_WITH']) && strtolower($_SERVER['HTTP_X_REQUESTED_WITH']) == 'xmlhttprequest') {
#print_r($_POST);
if(!isset($user['id'])) exit('<div id="error" class="message" style="text-align:center;">Вам стоит авторизоваться</div>');
if(isset($_POST['url'])){
$url = htmlspecialchars($_POST['url']);
$k_platform = $db->prepare('SELECT * FROM `platform` WHERE `url` = ?');
$k_platform -> execute([$url]);
$k_platform = $k_platform -> rowCount();
if($k_platform != 0) echo '<div id="error" class="message" style="text-align:center;">Данный сайт уже был добавлен</div>';
elseif(empty($url)){
echo '<div id="error" class="message" style="text-align:center;">Введите адрес сайта</div>';
exit;
}else{

$add = $db->prepare('INSERT INTO `platform` (`user`,`url`) VALUES (?,?)');
$add -> execute([$user['id'],$url]);
echo '
<meta http-equiv="refresh" content="3; url=/platform/my.aspx">
<div id="success" class="message" style="text-align:center;">Площадка успешно добавлена</div>';

exit;
}
}else{
echo '<div id="error" class="message" style="text-align:center;">Вы попытались изменить запрос</div>';
}
}else{
echo '<div id="error" class="message" style="text-align:center;">Вы попытались изменить запрос</div>';
}
?>
